<?xml version='1.0' encoding='UTF-8'?>
<FilingSummary>
  <Version>3.5.0.2</Version>
  <ProcessingTime/>
  <ReportFormat>html</ReportFormat>
  <ContextCount>742</ContextCount>
  <ElementCount>347</ElementCount>
  <EntityCount>1</EntityCount>
  <FootnotesReported>true</FootnotesReported>
  <SegmentCount>124</SegmentCount>
  <ScenarioCount>0</ScenarioCount>
  <TuplesReported>false</TuplesReported>
  <UnitCount>4</UnitCount>
  <MyReports>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R1.htm</HtmlFileName>
      <LongName>000010 - Document - Document and Entity Information</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DocumentDocumentAndEntityInformation</Role>
      <ShortName>Document and Entity Information</ShortName>
      <MenuCategory>Cover</MenuCategory>
      <Position>1</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R2.htm</HtmlFileName>
      <LongName>000020 - Statement - GREAT SOUTHERN BANCORP, INC. AND SUBSIDIARIES -- CONSOLIDATED STATEMENTS OF FINANCIAL CONDITION (June 30, 2016 figures unaudited)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_GREATSOUTHERNBANCORPINCANDSUBSIDIARIESCONSOLIDATEDSTATEMENTSOFFINANCIALCONDITIONJune302016FiguresUnaudited</Role>
      <ShortName>GREAT SOUTHERN BANCORP, INC. AND SUBSIDIARIES -- CONSOLIDATED STATEMENTS OF FINANCIAL CONDITION (June 30, 2016 figures unaudited)</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>2</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R3.htm</HtmlFileName>
      <LongName>000030 - Statement - GREAT SOUTHERN BANCORP, INC. AND SUBSIDIARIES - CONSOLIDATED STATEMENTS OF FINANCIAL CONDITION (March 31, 2016 figures unaudited) (Parentheticals)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_GREATSOUTHERNBANCORPINCANDSUBSIDIARIESCONSOLIDATEDSTATEMENTSOFFINANCIALCONDITIONMarch312016FiguresUnauditedParentheticals</Role>
      <ShortName>GREAT SOUTHERN BANCORP, INC. AND SUBSIDIARIES - CONSOLIDATED STATEMENTS OF FINANCIAL CONDITION (March 31, 2016 figures unaudited) (Parentheticals)</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>3</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R4.htm</HtmlFileName>
      <LongName>000040 - Statement - GREAT SOUTHERN BANCORP, INC. AND SUBSIDIARIES -- CONSOLIDATED STATEMENTS OF INCOME (Unaudited)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_GREATSOUTHERNBANCORPINCANDSUBSIDIARIESCONSOLIDATEDSTATEMENTSOFINCOMEUnaudited</Role>
      <ShortName>GREAT SOUTHERN BANCORP, INC. AND SUBSIDIARIES -- CONSOLIDATED STATEMENTS OF INCOME (Unaudited)</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>4</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R5.htm</HtmlFileName>
      <LongName>000050 - Statement - GREAT SOUTHERN BANCORP, INC. AND SUBSIDIARIES -- CONSOLIDATED STATEMENTS OF COMPREHENSIVE INCOME (Unaudited)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_GREATSOUTHERNBANCORPINCANDSUBSIDIARIESCONSOLIDATEDSTATEMENTSOFCOMPREHENSIVEINCOMEUnaudited</Role>
      <ShortName>GREAT SOUTHERN BANCORP, INC. AND SUBSIDIARIES -- CONSOLIDATED STATEMENTS OF COMPREHENSIVE INCOME (Unaudited)</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>5</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R6.htm</HtmlFileName>
      <LongName>000060 - Statement - GREAT SOUTHERN BANCORP, INC. AND SUBSIDIARIES -- CONSOLIDATED STATEMENTS OF COMPREHENSIVE INCOME (Unaudited) (Parentheticals)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_GREATSOUTHERNBANCORPINCANDSUBSIDIARIESCONSOLIDATEDSTATEMENTSOFCOMPREHENSIVEINCOMEUnauditedParentheticals</Role>
      <ShortName>GREAT SOUTHERN BANCORP, INC. AND SUBSIDIARIES -- CONSOLIDATED STATEMENTS OF COMPREHENSIVE INCOME (Unaudited) (Parentheticals)</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>6</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R7.htm</HtmlFileName>
      <LongName>000070 - Statement - GREAT SOUTHERN BANCORP, INC. AND SUBSIDIARIES -- CONSOLIDATED STATEMENTS OF CASH FLOWS (Unaudited)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_GREATSOUTHERNBANCORPINCANDSUBSIDIARIESCONSOLIDATEDSTATEMENTSOFCASHFLOWSUnaudited</Role>
      <ShortName>GREAT SOUTHERN BANCORP, INC. AND SUBSIDIARIES -- CONSOLIDATED STATEMENTS OF CASH FLOWS (Unaudited)</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>7</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R8.htm</HtmlFileName>
      <LongName>000080 - Disclosure - Note 1: Basis of Presentation</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote1BasisOfPresentation</Role>
      <ShortName>Note 1: Basis of Presentation</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>8</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R9.htm</HtmlFileName>
      <LongName>000090 - Disclosure - Note 2: Nature of Operations and Operating Segments</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote2NatureOfOperationsAndOperatingSegments</Role>
      <ShortName>Note 2: Nature of Operations and Operating Segments</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>9</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R10.htm</HtmlFileName>
      <LongName>000100 - Disclosure - Note 3: Recent Accounting Pronouncements</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote3RecentAccountingPronouncements</Role>
      <ShortName>Note 3: Recent Accounting Pronouncements</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>10</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R11.htm</HtmlFileName>
      <LongName>000110 - Disclosure - Note 4: Earnings Per Share</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote4EarningsPerShare</Role>
      <ShortName>Note 4: Earnings Per Share</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>11</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R12.htm</HtmlFileName>
      <LongName>000120 - Disclosure - Note 5: Investment Securities</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote5InvestmentSecurities</Role>
      <ShortName>Note 5: Investment Securities</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>12</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R13.htm</HtmlFileName>
      <LongName>000130 - Disclosure - Note 6: Loans and Allowance For Loan Losses</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote6LoansAndAllowanceForLoanLosses</Role>
      <ShortName>Note 6: Loans and Allowance For Loan Losses</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>13</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R14.htm</HtmlFileName>
      <LongName>000140 - Disclosure - Note 7: Fdic Acquired Loans, Loss Sharing Agreements and FDIC Indemnification Assets</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote7FdicAcquiredLoansLossSharingAgreementsAndFDICIndemnificationAssets</Role>
      <ShortName>Note 7: Fdic Acquired Loans, Loss Sharing Agreements and FDIC Indemnification Assets</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>14</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R15.htm</HtmlFileName>
      <LongName>000150 - Disclosure - Note 8: Other Real Estate Owned</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote8OtherRealEstateOwned</Role>
      <ShortName>Note 8: Other Real Estate Owned</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>15</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R16.htm</HtmlFileName>
      <LongName>000160 - Disclosure - Note 9: Deposits</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote9Deposits</Role>
      <ShortName>Note 9: Deposits</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>16</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R17.htm</HtmlFileName>
      <LongName>000170 - Disclosure - Note 10: Advances From Federal Home Loan Bank</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote10AdvancesFromFederalHomeLoanBank</Role>
      <ShortName>Note 10: Advances From Federal Home Loan Bank</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>17</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R18.htm</HtmlFileName>
      <LongName>000180 - Disclosure - Note 11: Securities Sold Under Reverse Repurchase Agreements and Short-term Borrowings</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote11SecuritiesSoldUnderReverseRepurchaseAgreementsAndShortTermBorrowings</Role>
      <ShortName>Note 11: Securities Sold Under Reverse Repurchase Agreements and Short-term Borrowings</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>18</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R19.htm</HtmlFileName>
      <LongName>000190 - Disclosure - Note 12: Income Taxes</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote12IncomeTaxes</Role>
      <ShortName>Note 12: Income Taxes</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>19</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R20.htm</HtmlFileName>
      <LongName>000200 - Disclosure - Note 13: Disclosures About Fair Value of Financial Instruments</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote13DisclosuresAboutFairValueOfFinancialInstruments</Role>
      <ShortName>Note 13: Disclosures About Fair Value of Financial Instruments</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>20</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R21.htm</HtmlFileName>
      <LongName>000210 - Disclosure - Note 14: Derivatives and Hedging Activities</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote14DerivativesAndHedgingActivities</Role>
      <ShortName>Note 14: Derivatives and Hedging Activities</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>21</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R22.htm</HtmlFileName>
      <LongName>000220 - Disclosure - Note 15: Acquisition of Loans, Deposits and Branches</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote15AcquisitionOfLoansDepositsAndBranches</Role>
      <ShortName>Note 15: Acquisition of Loans, Deposits and Branches</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>22</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R23.htm</HtmlFileName>
      <LongName>000230 - Disclosure - Note 1: Basis of Presentation: Organization, Consolidation, Basis of Presentation, Business Description and Accounting Policies (Policies)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote1BasisOfPresentationOrganizationConsolidationBasisOfPresentationBusinessDescriptionAndAccountingPoliciesPolicies</Role>
      <ShortName>Note 1: Basis of Presentation: Organization, Consolidation, Basis of Presentation, Business Description and Accounting Policies (Policies)</ShortName>
      <MenuCategory>Policies</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote3RecentAccountingPronouncements</ParentRole>
      <Position>23</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R24.htm</HtmlFileName>
      <LongName>000240 - Disclosure - Note 2: Nature of Operations and Operating Segments: Segment Reporting, Policy (Policies)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote2NatureOfOperationsAndOperatingSegmentsSegmentReportingPolicyPolicies</Role>
      <ShortName>Note 2: Nature of Operations and Operating Segments: Segment Reporting, Policy (Policies)</ShortName>
      <MenuCategory>Policies</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote3RecentAccountingPronouncements</ParentRole>
      <Position>24</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R25.htm</HtmlFileName>
      <LongName>000250 - Disclosure - Note 4: Earnings Per Share: Earnings Per Share, Policy (Policies)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote4EarningsPerShareEarningsPerSharePolicyPolicies</Role>
      <ShortName>Note 4: Earnings Per Share: Earnings Per Share, Policy (Policies)</ShortName>
      <MenuCategory>Policies</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote3RecentAccountingPronouncements</ParentRole>
      <Position>25</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R26.htm</HtmlFileName>
      <LongName>000260 - Disclosure - Note 5: Investment Securities: Investment, Policy (Policies)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote5InvestmentSecuritiesInvestmentPolicyPolicies</Role>
      <ShortName>Note 5: Investment Securities: Investment, Policy (Policies)</ShortName>
      <MenuCategory>Policies</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote3RecentAccountingPronouncements</ParentRole>
      <Position>26</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R27.htm</HtmlFileName>
      <LongName>000270 - Disclosure - Note 6: Loans and Allowance For Loan Losses: Loan Portfolio Credit Quality Internal Grading System Policy (Policies)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote6LoansAndAllowanceForLoanLossesLoanPortfolioCreditQualityInternalGradingSystemPolicyPolicies</Role>
      <ShortName>Note 6: Loans and Allowance For Loan Losses: Loan Portfolio Credit Quality Internal Grading System Policy (Policies)</ShortName>
      <MenuCategory>Policies</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote3RecentAccountingPronouncements</ParentRole>
      <Position>27</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R28.htm</HtmlFileName>
      <LongName>000280 - Disclosure - Note 7: Fdic Acquired Loans, Loss Sharing Agreements and FDIC Indemnification Assets: Business Combinations Policy (Policies)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote7FdicAcquiredLoansLossSharingAgreementsAndFDICIndemnificationAssetsBusinessCombinationsPolicyPolicies</Role>
      <ShortName>Note 7: Fdic Acquired Loans, Loss Sharing Agreements and FDIC Indemnification Assets: Business Combinations Policy (Policies)</ShortName>
      <MenuCategory>Policies</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote3RecentAccountingPronouncements</ParentRole>
      <Position>28</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R29.htm</HtmlFileName>
      <LongName>000290 - Disclosure - Note 7: Fdic Acquired Loans, Loss Sharing Agreements and FDIC Indemnification Assets: Loss Sharing Agreements Policy (Policies)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote7FdicAcquiredLoansLossSharingAgreementsAndFDICIndemnificationAssetsLossSharingAgreementsPolicyPolicies</Role>
      <ShortName>Note 7: Fdic Acquired Loans, Loss Sharing Agreements and FDIC Indemnification Assets: Loss Sharing Agreements Policy (Policies)</ShortName>
      <MenuCategory>Policies</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote3RecentAccountingPronouncements</ParentRole>
      <Position>29</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R30.htm</HtmlFileName>
      <LongName>000300 - Disclosure - Note 7: Fdic Acquired Loans, Loss Sharing Agreements and FDIC Indemnification Assets: Business Acquisition Fair Value and Expected Cash Flows Policy (Policies)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote7FdicAcquiredLoansLossSharingAgreementsAndFDICIndemnificationAssetsBusinessAcquisitionFairValueAndExpectedCashFlowsPolicyPolicies</Role>
      <ShortName>Note 7: Fdic Acquired Loans, Loss Sharing Agreements and FDIC Indemnification Assets: Business Acquisition Fair Value and Expected Cash Flows Policy (Policies)</ShortName>
      <MenuCategory>Policies</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote3RecentAccountingPronouncements</ParentRole>
      <Position>30</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R31.htm</HtmlFileName>
      <LongName>000310 - Disclosure - Note 7: Fdic Acquired Loans, Loss Sharing Agreements and FDIC Indemnification Assets: FDIC Indemnification Asset Policy (Policies)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote7FdicAcquiredLoansLossSharingAgreementsAndFDICIndemnificationAssetsFDICIndemnificationAssetPolicyPolicies</Role>
      <ShortName>Note 7: Fdic Acquired Loans, Loss Sharing Agreements and FDIC Indemnification Assets: FDIC Indemnification Asset Policy (Policies)</ShortName>
      <MenuCategory>Policies</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote3RecentAccountingPronouncements</ParentRole>
      <Position>31</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R32.htm</HtmlFileName>
      <LongName>000320 - Disclosure - Note 10: Advances From Federal Home Loan Bank: Federal Home Loan Bank, Advances (Policies)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote10AdvancesFromFederalHomeLoanBankFederalHomeLoanBankAdvancesPolicies</Role>
      <ShortName>Note 10: Advances From Federal Home Loan Bank: Federal Home Loan Bank, Advances (Policies)</ShortName>
      <MenuCategory>Policies</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote3RecentAccountingPronouncements</ParentRole>
      <Position>32</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R33.htm</HtmlFileName>
      <LongName>000330 - Disclosure - Note 12: Income Taxes: Income Tax, Policy (Policies)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote12IncomeTaxesIncomeTaxPolicyPolicies</Role>
      <ShortName>Note 12: Income Taxes: Income Tax, Policy (Policies)</ShortName>
      <MenuCategory>Policies</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote3RecentAccountingPronouncements</ParentRole>
      <Position>33</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R34.htm</HtmlFileName>
      <LongName>000340 - Disclosure - Note 13: Disclosures About Fair Value of Financial Instruments: Fair Value Measurement, Policy (Policies)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote13DisclosuresAboutFairValueOfFinancialInstrumentsFairValueMeasurementPolicyPolicies</Role>
      <ShortName>Note 13: Disclosures About Fair Value of Financial Instruments: Fair Value Measurement, Policy (Policies)</ShortName>
      <MenuCategory>Policies</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote3RecentAccountingPronouncements</ParentRole>
      <Position>34</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R35.htm</HtmlFileName>
      <LongName>000350 - Disclosure - Note 13: Disclosures About Fair Value of Financial Instruments: Fair Value Loans Held for Sale Policy (Policies)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote13DisclosuresAboutFairValueOfFinancialInstrumentsFairValueLoansHeldForSalePolicyPolicies</Role>
      <ShortName>Note 13: Disclosures About Fair Value of Financial Instruments: Fair Value Loans Held for Sale Policy (Policies)</ShortName>
      <MenuCategory>Policies</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote3RecentAccountingPronouncements</ParentRole>
      <Position>35</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R36.htm</HtmlFileName>
      <LongName>000360 - Disclosure - Note 13: Disclosures About Fair Value of Financial Instruments: Fair Value Impaired Loans Policy (Policies)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote13DisclosuresAboutFairValueOfFinancialInstrumentsFairValueImpairedLoansPolicyPolicies</Role>
      <ShortName>Note 13: Disclosures About Fair Value of Financial Instruments: Fair Value Impaired Loans Policy (Policies)</ShortName>
      <MenuCategory>Policies</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote3RecentAccountingPronouncements</ParentRole>
      <Position>36</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R37.htm</HtmlFileName>
      <LongName>000370 - Disclosure - Note 13: Disclosures About Fair Value of Financial Instruments: Fair Value Foreclosed Assets Held for Sale Policy (Policies)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote13DisclosuresAboutFairValueOfFinancialInstrumentsFairValueForeclosedAssetsHeldForSalePolicyPolicies</Role>
      <ShortName>Note 13: Disclosures About Fair Value of Financial Instruments: Fair Value Foreclosed Assets Held for Sale Policy (Policies)</ShortName>
      <MenuCategory>Policies</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote3RecentAccountingPronouncements</ParentRole>
      <Position>37</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R38.htm</HtmlFileName>
      <LongName>000380 - Disclosure - Note 13: Disclosures About Fair Value of Financial Instruments: Fair Value FDIC Indemnification Asset Policy (Policies)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote13DisclosuresAboutFairValueOfFinancialInstrumentsFairValueFDICIndemnificationAssetPolicyPolicies</Role>
      <ShortName>Note 13: Disclosures About Fair Value of Financial Instruments: Fair Value FDIC Indemnification Asset Policy (Policies)</ShortName>
      <MenuCategory>Policies</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote3RecentAccountingPronouncements</ParentRole>
      <Position>38</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R39.htm</HtmlFileName>
      <LongName>000390 - Disclosure - Note 13: Disclosures About Fair Value of Financial Instruments: Fair Value of Financial Instruments Policy (Policies)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote13DisclosuresAboutFairValueOfFinancialInstrumentsFairValueOfFinancialInstrumentsPolicyPolicies</Role>
      <ShortName>Note 13: Disclosures About Fair Value of Financial Instruments: Fair Value of Financial Instruments Policy (Policies)</ShortName>
      <MenuCategory>Policies</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote3RecentAccountingPronouncements</ParentRole>
      <Position>39</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R40.htm</HtmlFileName>
      <LongName>000400 - Disclosure - Note 13: Disclosures About Fair Value of Financial Instruments: Fair Value Cash and Cash Equivalents and Federal Home Loan Bank Stock Policy (Policies)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote13DisclosuresAboutFairValueOfFinancialInstrumentsFairValueCashAndCashEquivalentsAndFederalHomeLoanBankStockPolicyPolicies</Role>
      <ShortName>Note 13: Disclosures About Fair Value of Financial Instruments: Fair Value Cash and Cash Equivalents and Federal Home Loan Bank Stock Policy (Policies)</ShortName>
      <MenuCategory>Policies</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote3RecentAccountingPronouncements</ParentRole>
      <Position>40</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R41.htm</HtmlFileName>
      <LongName>000410 - Disclosure - Note 13: Disclosures About Fair Value of Financial Instruments: Fair Value Loans and Interest Receivable Policy (Policies)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote13DisclosuresAboutFairValueOfFinancialInstrumentsFairValueLoansAndInterestReceivablePolicyPolicies</Role>
      <ShortName>Note 13: Disclosures About Fair Value of Financial Instruments: Fair Value Loans and Interest Receivable Policy (Policies)</ShortName>
      <MenuCategory>Policies</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote3RecentAccountingPronouncements</ParentRole>
      <Position>41</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R42.htm</HtmlFileName>
      <LongName>000420 - Disclosure - Note 13: Disclosures About Fair Value of Financial Instruments: Fair Value Deposits and Accrued Interest Payable Policy (Policies)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote13DisclosuresAboutFairValueOfFinancialInstrumentsFairValueDepositsAndAccruedInterestPayablePolicyPolicies</Role>
      <ShortName>Note 13: Disclosures About Fair Value of Financial Instruments: Fair Value Deposits and Accrued Interest Payable Policy (Policies)</ShortName>
      <MenuCategory>Policies</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote3RecentAccountingPronouncements</ParentRole>
      <Position>42</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R43.htm</HtmlFileName>
      <LongName>000430 - Disclosure - Note 13: Disclosures About Fair Value of Financial Instruments: Fair Value Federal home Loan Bank Advances Policy (Policies)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote13DisclosuresAboutFairValueOfFinancialInstrumentsFairValueFederalHomeLoanBankAdvancesPolicyPolicies</Role>
      <ShortName>Note 13: Disclosures About Fair Value of Financial Instruments: Fair Value Federal home Loan Bank Advances Policy (Policies)</ShortName>
      <MenuCategory>Policies</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote3RecentAccountingPronouncements</ParentRole>
      <Position>43</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R44.htm</HtmlFileName>
      <LongName>000440 - Disclosure - Note 13: Disclosures About Fair Value of Financial Instruments: Fair Value Short-Term Borrowings Policy (Policies)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote13DisclosuresAboutFairValueOfFinancialInstrumentsFairValueShortTermBorrowingsPolicyPolicies</Role>
      <ShortName>Note 13: Disclosures About Fair Value of Financial Instruments: Fair Value Short-Term Borrowings Policy (Policies)</ShortName>
      <MenuCategory>Policies</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote3RecentAccountingPronouncements</ParentRole>
      <Position>44</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R45.htm</HtmlFileName>
      <LongName>000450 - Disclosure - Note 13: Disclosures About Fair Value of Financial Instruments: Fair Value Subordinated Debentures Policy (Policies)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote13DisclosuresAboutFairValueOfFinancialInstrumentsFairValueSubordinatedDebenturesPolicyPolicies</Role>
      <ShortName>Note 13: Disclosures About Fair Value of Financial Instruments: Fair Value Subordinated Debentures Policy (Policies)</ShortName>
      <MenuCategory>Policies</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote3RecentAccountingPronouncements</ParentRole>
      <Position>45</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R46.htm</HtmlFileName>
      <LongName>000460 - Disclosure - Note 13: Disclosures About Fair Value of Financial Instruments: Fair Value Commitments to Originate Loans, Letters of Credit and Lines of Credit Policy (Policies)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote13DisclosuresAboutFairValueOfFinancialInstrumentsFairValueCommitmentsToOriginateLoansLettersOfCreditAndLinesOfCreditPolicyPolicies</Role>
      <ShortName>Note 13: Disclosures About Fair Value of Financial Instruments: Fair Value Commitments to Originate Loans, Letters of Credit and Lines of Credit Policy (Policies)</ShortName>
      <MenuCategory>Policies</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote3RecentAccountingPronouncements</ParentRole>
      <Position>46</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R47.htm</HtmlFileName>
      <LongName>000470 - Disclosure - Note 4: Earnings Per Share: Schedule of Earnings Per Share, Basic and Diluted (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote4EarningsPerShareScheduleOfEarningsPerShareBasicAndDilutedTables</Role>
      <ShortName>Note 4: Earnings Per Share: Schedule of Earnings Per Share, Basic and Diluted (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <Position>47</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R48.htm</HtmlFileName>
      <LongName>000480 - Disclosure - Note 5: Investment Securities: Schedule of Held-to-maturity Securities (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote5InvestmentSecuritiesScheduleOfHeldToMaturitySecuritiesTables</Role>
      <ShortName>Note 5: Investment Securities: Schedule of Held-to-maturity Securities (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <Position>48</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R49.htm</HtmlFileName>
      <LongName>000490 - Disclosure - Note 5: Investment Securities: Investments Classified by Contractual Maturity Date (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote5InvestmentSecuritiesInvestmentsClassifiedByContractualMaturityDateTables</Role>
      <ShortName>Note 5: Investment Securities: Investments Classified by Contractual Maturity Date (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <Position>49</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R50.htm</HtmlFileName>
      <LongName>000500 - Disclosure - Note 5: Investment Securities: Contractual Obligation, Fiscal Year Maturity Schedule (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote5InvestmentSecuritiesContractualObligationFiscalYearMaturityScheduleTables</Role>
      <ShortName>Note 5: Investment Securities: Contractual Obligation, Fiscal Year Maturity Schedule (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <Position>50</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R51.htm</HtmlFileName>
      <LongName>000510 - Disclosure - Note 5: Investment Securities: Unrealized Gain (Loss) on Investments (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote5InvestmentSecuritiesUnrealizedGainLossOnInvestmentsTables</Role>
      <ShortName>Note 5: Investment Securities: Unrealized Gain (Loss) on Investments (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <Position>51</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R52.htm</HtmlFileName>
      <LongName>000520 - Disclosure - Note 5: Investment Securities: Other Than Temporary Impairment Credit Losses Recognized in Earnings (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote5InvestmentSecuritiesOtherThanTemporaryImpairmentCreditLossesRecognizedInEarningsTables</Role>
      <ShortName>Note 5: Investment Securities: Other Than Temporary Impairment Credit Losses Recognized in Earnings (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <Position>52</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R53.htm</HtmlFileName>
      <LongName>000530 - Disclosure - Note 6: Loans and Allowance For Loan Losses: Schedule of Loans (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote6LoansAndAllowanceForLoanLossesScheduleOfLoansTables</Role>
      <ShortName>Note 6: Loans and Allowance For Loan Losses: Schedule of Loans (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <Position>53</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R54.htm</HtmlFileName>
      <LongName>000540 - Disclosure - Note 6: Loans and Allowance For Loan Losses: Schedule of Loans Classified by Aging Analysis (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote6LoansAndAllowanceForLoanLossesScheduleOfLoansClassifiedByAgingAnalysisTables</Role>
      <ShortName>Note 6: Loans and Allowance For Loan Losses: Schedule of Loans Classified by Aging Analysis (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <Position>54</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R55.htm</HtmlFileName>
      <LongName>000550 - Disclosure - Note 6: Loans and Allowance For Loan Losses: Schedule of Financing Receivables NonAccrual Status (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote6LoansAndAllowanceForLoanLossesScheduleOfFinancingReceivablesNonAccrualStatusTables</Role>
      <ShortName>Note 6: Loans and Allowance For Loan Losses: Schedule of Financing Receivables NonAccrual Status (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <Position>55</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R56.htm</HtmlFileName>
      <LongName>000560 - Disclosure - Note 6: Loans and Allowance For Loan Losses: Allowance for Credit Losses on Financing Receivables (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote6LoansAndAllowanceForLoanLossesAllowanceForCreditLossesOnFinancingReceivablesTables</Role>
      <ShortName>Note 6: Loans and Allowance For Loan Losses: Allowance for Credit Losses on Financing Receivables (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <Position>56</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R57.htm</HtmlFileName>
      <LongName>000570 - Disclosure - Note 6: Loans and Allowance For Loan Losses: Impaired Financing Receivables (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote6LoansAndAllowanceForLoanLossesImpairedFinancingReceivablesTables</Role>
      <ShortName>Note 6: Loans and Allowance For Loan Losses: Impaired Financing Receivables (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <Position>57</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R58.htm</HtmlFileName>
      <LongName>000580 - Disclosure - Note 6: Loans and Allowance For Loan Losses: Troubled Debt Restructurings on Financing Receivables (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote6LoansAndAllowanceForLoanLossesTroubledDebtRestructuringsOnFinancingReceivablesTables</Role>
      <ShortName>Note 6: Loans and Allowance For Loan Losses: Troubled Debt Restructurings on Financing Receivables (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <Position>58</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R59.htm</HtmlFileName>
      <LongName>000590 - Disclosure - Note 6: Loans and Allowance For Loan Losses: Financing Receivable Credit Quality Indicators (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote6LoansAndAllowanceForLoanLossesFinancingReceivableCreditQualityIndicatorsTables</Role>
      <ShortName>Note 6: Loans and Allowance For Loan Losses: Financing Receivable Credit Quality Indicators (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <Position>59</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R60.htm</HtmlFileName>
      <LongName>000600 - Disclosure - Note 7: Fdic Acquired Loans, Loss Sharing Agreements and FDIC Indemnification Assets: Schedule of Impact of Adjustments of Acquired Loans on Financial Results (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote7FdicAcquiredLoansLossSharingAgreementsAndFDICIndemnificationAssetsScheduleOfImpactOfAdjustmentsOfAcquiredLoansOnFinancialResultsTables</Role>
      <ShortName>Note 7: Fdic Acquired Loans, Loss Sharing Agreements and FDIC Indemnification Assets: Schedule of Impact of Adjustments of Acquired Loans on Financial Results (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <Position>60</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R61.htm</HtmlFileName>
      <LongName>000610 - Disclosure - Note 7: Fdic Acquired Loans, Loss Sharing Agreements and FDIC Indemnification Assets: FDIC Indemnification Asset Roll Forward (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote7FdicAcquiredLoansLossSharingAgreementsAndFDICIndemnificationAssetsFDICIndemnificationAssetRollForwardTables</Role>
      <ShortName>Note 7: Fdic Acquired Loans, Loss Sharing Agreements and FDIC Indemnification Assets: FDIC Indemnification Asset Roll Forward (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <Position>61</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R62.htm</HtmlFileName>
      <LongName>000620 - Disclosure - Note 7: Fdic Acquired Loans, Loss Sharing Agreements and FDIC Indemnification Assets: Schedule of Accretable Yield Changes for Acquired Loans (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote7FdicAcquiredLoansLossSharingAgreementsAndFDICIndemnificationAssetsScheduleOfAccretableYieldChangesForAcquiredLoansTables</Role>
      <ShortName>Note 7: Fdic Acquired Loans, Loss Sharing Agreements and FDIC Indemnification Assets: Schedule of Accretable Yield Changes for Acquired Loans (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <Position>62</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R63.htm</HtmlFileName>
      <LongName>000630 - Disclosure - Note 8: Other Real Estate Owned: Schedule of Major Classifications of Foreclosed Assets (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote8OtherRealEstateOwnedScheduleOfMajorClassificationsOfForeclosedAssetsTables</Role>
      <ShortName>Note 8: Other Real Estate Owned: Schedule of Major Classifications of Foreclosed Assets (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <Position>63</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R64.htm</HtmlFileName>
      <LongName>000640 - Disclosure - Note 8: Other Real Estate Owned: Schedule of Expenses Applicable to Foreclosed Assets (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote8OtherRealEstateOwnedScheduleOfExpensesApplicableToForeclosedAssetsTables</Role>
      <ShortName>Note 8: Other Real Estate Owned: Schedule of Expenses Applicable to Foreclosed Assets (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <Position>64</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R65.htm</HtmlFileName>
      <LongName>000650 - Disclosure - Note 10: Advances From Federal Home Loan Bank: Federal Home Loan Bank, Advances (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote10AdvancesFromFederalHomeLoanBankFederalHomeLoanBankAdvancesTables</Role>
      <ShortName>Note 10: Advances From Federal Home Loan Bank: Federal Home Loan Bank, Advances (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <Position>65</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R66.htm</HtmlFileName>
      <LongName>000660 - Disclosure - Note 11: Securities Sold Under Reverse Repurchase Agreements and Short-term Borrowings: Schedule of Short-term Debt (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote11SecuritiesSoldUnderReverseRepurchaseAgreementsAndShortTermBorrowingsScheduleOfShortTermDebtTables</Role>
      <ShortName>Note 11: Securities Sold Under Reverse Repurchase Agreements and Short-term Borrowings: Schedule of Short-term Debt (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <Position>66</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R67.htm</HtmlFileName>
      <LongName>000670 - Disclosure - Note 11: Securities Sold Under Reverse Repurchase Agreements and Short-term Borrowings: Schedule of Repurchase Agreements (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote11SecuritiesSoldUnderReverseRepurchaseAgreementsAndShortTermBorrowingsScheduleOfRepurchaseAgreementsTables</Role>
      <ShortName>Note 11: Securities Sold Under Reverse Repurchase Agreements and Short-term Borrowings: Schedule of Repurchase Agreements (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <Position>67</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R68.htm</HtmlFileName>
      <LongName>000680 - Disclosure - Note 12: Income Taxes: Schedule of Components of Income Tax Expense (Benefit) (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote12IncomeTaxesScheduleOfComponentsOfIncomeTaxExpenseBenefitTables</Role>
      <ShortName>Note 12: Income Taxes: Schedule of Components of Income Tax Expense (Benefit) (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <Position>68</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R69.htm</HtmlFileName>
      <LongName>000690 - Disclosure - Note 13: Disclosures About Fair Value of Financial Instruments: Fair Value Measurement, Policy: Fair Value, Assets Measured on Recurring Basis (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote13DisclosuresAboutFairValueOfFinancialInstrumentsFairValueMeasurementPolicyFairValueAssetsMeasuredOnRecurringBasisTables</Role>
      <ShortName>Note 13: Disclosures About Fair Value of Financial Instruments: Fair Value Measurement, Policy: Fair Value, Assets Measured on Recurring Basis (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <Position>69</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R70.htm</HtmlFileName>
      <LongName>000700 - Disclosure - Note 13: Disclosures About Fair Value of Financial Instruments: Fair Value Measurement, Policy: Fair Value, Assets and Liabilities Measured on Nonrecurring Basis (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote13DisclosuresAboutFairValueOfFinancialInstrumentsFairValueMeasurementPolicyFairValueAssetsAndLiabilitiesMeasuredOnNonrecurringBasisTables</Role>
      <ShortName>Note 13: Disclosures About Fair Value of Financial Instruments: Fair Value Measurement, Policy: Fair Value, Assets and Liabilities Measured on Nonrecurring Basis (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <Position>70</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R71.htm</HtmlFileName>
      <LongName>000710 - Disclosure - Note 13: Disclosures About Fair Value of Financial Instruments: Schedule Of Financial Instruments Fair Value (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote13DisclosuresAboutFairValueOfFinancialInstrumentsScheduleOfFinancialInstrumentsFairValueTables</Role>
      <ShortName>Note 13: Disclosures About Fair Value of Financial Instruments: Schedule Of Financial Instruments Fair Value (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <Position>71</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R72.htm</HtmlFileName>
      <LongName>000720 - Disclosure - Note 14: Derivatives and Hedging Activities: Schedule of Derivative Instruments in Statement of Financial Position, Fair Value (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote14DerivativesAndHedgingActivitiesScheduleOfDerivativeInstrumentsInStatementOfFinancialPositionFairValueTables</Role>
      <ShortName>Note 14: Derivatives and Hedging Activities: Schedule of Derivative Instruments in Statement of Financial Position, Fair Value (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <Position>72</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R73.htm</HtmlFileName>
      <LongName>000730 - Disclosure - Note 14: Derivatives and Hedging Activities: Schedule of Derivative Instruments, Effect on Other Comprehensive Income (Loss) (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote14DerivativesAndHedgingActivitiesScheduleOfDerivativeInstrumentsEffectOnOtherComprehensiveIncomeLossTables</Role>
      <ShortName>Note 14: Derivatives and Hedging Activities: Schedule of Derivative Instruments, Effect on Other Comprehensive Income (Loss) (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <Position>73</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R74.htm</HtmlFileName>
      <LongName>000740 - Disclosure - Note 15: Acquisition of Loans, Deposits and Branches: Schedule of Recognized Identified Assets Acquired and Liabilities Assumed (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote15AcquisitionOfLoansDepositsAndBranchesScheduleOfRecognizedIdentifiedAssetsAcquiredAndLiabilitiesAssumedTables</Role>
      <ShortName>Note 15: Acquisition of Loans, Deposits and Branches: Schedule of Recognized Identified Assets Acquired and Liabilities Assumed (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <Position>74</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R75.htm</HtmlFileName>
      <LongName>000750 - Disclosure - Note 15: Acquisition of Loans, Deposits and Branches: Schedule of Acquired Loans Performing and Nonperforming (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote15AcquisitionOfLoansDepositsAndBranchesScheduleOfAcquiredLoansPerformingAndNonperformingTables</Role>
      <ShortName>Note 15: Acquisition of Loans, Deposits and Branches: Schedule of Acquired Loans Performing and Nonperforming (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <Position>75</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R76.htm</HtmlFileName>
      <LongName>000760 - Disclosure - Note 2: Nature of Operations and Operating Segments: Segment Reporting, Policy (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote2NatureOfOperationsAndOperatingSegmentsSegmentReportingPolicyDetails</Role>
      <ShortName>Note 2: Nature of Operations and Operating Segments: Segment Reporting, Policy (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote2NatureOfOperationsAndOperatingSegmentsSegmentReportingPolicyPolicies</ParentRole>
      <Position>76</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R77.htm</HtmlFileName>
      <LongName>000770 - Disclosure - Note 4: Earnings Per Share: Schedule of Earnings Per Share, Basic and Diluted (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote4EarningsPerShareScheduleOfEarningsPerShareBasicAndDilutedDetails</Role>
      <ShortName>Note 4: Earnings Per Share: Schedule of Earnings Per Share, Basic and Diluted (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote4EarningsPerShareScheduleOfEarningsPerShareBasicAndDilutedTables</ParentRole>
      <Position>77</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R78.htm</HtmlFileName>
      <LongName>000780 - Disclosure - Note 4: Earnings Per Share: Earnings Per Share, Policy (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote4EarningsPerShareEarningsPerSharePolicyDetails</Role>
      <ShortName>Note 4: Earnings Per Share: Earnings Per Share, Policy (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote4EarningsPerShareEarningsPerSharePolicyPolicies</ParentRole>
      <Position>78</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R79.htm</HtmlFileName>
      <LongName>000790 - Disclosure - Note 5: Investment Securities (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote5InvestmentSecuritiesDetails</Role>
      <ShortName>Note 5: Investment Securities (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote5InvestmentSecuritiesScheduleOfHeldToMaturitySecuritiesTables</ParentRole>
      <Position>79</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R80.htm</HtmlFileName>
      <LongName>000800 - Disclosure - Note 5: Investment Securities: Schedule of Held-to-maturity Securities (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote5InvestmentSecuritiesScheduleOfHeldToMaturitySecuritiesDetails</Role>
      <ShortName>Note 5: Investment Securities: Schedule of Held-to-maturity Securities (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote5InvestmentSecuritiesScheduleOfHeldToMaturitySecuritiesTables</ParentRole>
      <Position>80</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R81.htm</HtmlFileName>
      <LongName>000810 - Disclosure - Note 5: Investment Securities: Investments Classified by Contractual Maturity Date (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote5InvestmentSecuritiesInvestmentsClassifiedByContractualMaturityDateDetails</Role>
      <ShortName>Note 5: Investment Securities: Investments Classified by Contractual Maturity Date (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote5InvestmentSecuritiesInvestmentsClassifiedByContractualMaturityDateTables</ParentRole>
      <Position>81</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R82.htm</HtmlFileName>
      <LongName>000820 - Disclosure - Note 5: Investment Securities: Contractual Obligation, Fiscal Year Maturity Schedule (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote5InvestmentSecuritiesContractualObligationFiscalYearMaturityScheduleDetails</Role>
      <ShortName>Note 5: Investment Securities: Contractual Obligation, Fiscal Year Maturity Schedule (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote5InvestmentSecuritiesContractualObligationFiscalYearMaturityScheduleTables</ParentRole>
      <Position>82</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R83.htm</HtmlFileName>
      <LongName>000830 - Disclosure - Note 5: Investment Securities: Investment, Policy (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote5InvestmentSecuritiesInvestmentPolicyDetails</Role>
      <ShortName>Note 5: Investment Securities: Investment, Policy (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote5InvestmentSecuritiesInvestmentsClassifiedByContractualMaturityDateTables</ParentRole>
      <Position>83</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R84.htm</HtmlFileName>
      <LongName>000840 - Disclosure - Note 5: Investment Securities: Unrealized Gain (Loss) on Investments (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote5InvestmentSecuritiesUnrealizedGainLossOnInvestmentsDetails</Role>
      <ShortName>Note 5: Investment Securities: Unrealized Gain (Loss) on Investments (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote5InvestmentSecuritiesUnrealizedGainLossOnInvestmentsTables</ParentRole>
      <Position>84</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R85.htm</HtmlFileName>
      <LongName>000850 - Disclosure - Note 5: Investment Securities: Gross Gains and Losses on Sales of Available for Sale Securities (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote5InvestmentSecuritiesGrossGainsAndLossesOnSalesOfAvailableForSaleSecuritiesDetails</Role>
      <ShortName>Note 5: Investment Securities: Gross Gains and Losses on Sales of Available for Sale Securities (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>85</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R86.htm</HtmlFileName>
      <LongName>000860 - Disclosure - Note 5: Investment Securities: Other than temporary impairment securities (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote5InvestmentSecuritiesOtherThanTemporaryImpairmentSecuritiesDetails</Role>
      <ShortName>Note 5: Investment Securities: Other than temporary impairment securities (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>86</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R87.htm</HtmlFileName>
      <LongName>000870 - Disclosure - Note 5: Investment Securities: Credit Losses Recognized on Investments (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote5InvestmentSecuritiesCreditLossesRecognizedOnInvestmentsDetails</Role>
      <ShortName>Note 5: Investment Securities: Credit Losses Recognized on Investments (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>87</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R88.htm</HtmlFileName>
      <LongName>000880 - Disclosure - Note 5: Investment Securities: Other Than Temporary Impairment Credit Losses Recognized in Earnings (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote5InvestmentSecuritiesOtherThanTemporaryImpairmentCreditLossesRecognizedInEarningsDetails</Role>
      <ShortName>Note 5: Investment Securities: Other Than Temporary Impairment Credit Losses Recognized in Earnings (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote5InvestmentSecuritiesOtherThanTemporaryImpairmentCreditLossesRecognizedInEarningsTables</ParentRole>
      <Position>88</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R89.htm</HtmlFileName>
      <LongName>000890 - Disclosure - Note 6: Loans and Allowance For Loan Losses: Schedule of Loans (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote6LoansAndAllowanceForLoanLossesScheduleOfLoansDetails</Role>
      <ShortName>Note 6: Loans and Allowance For Loan Losses: Schedule of Loans (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote6LoansAndAllowanceForLoanLossesScheduleOfLoansTables</ParentRole>
      <Position>89</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R90.htm</HtmlFileName>
      <LongName>000900 - Disclosure - Note 6: Loans and Allowance For Loan Losses: Schedule of Loans Classified by Aging Analysis (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote6LoansAndAllowanceForLoanLossesScheduleOfLoansClassifiedByAgingAnalysisDetails</Role>
      <ShortName>Note 6: Loans and Allowance For Loan Losses: Schedule of Loans Classified by Aging Analysis (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote6LoansAndAllowanceForLoanLossesScheduleOfLoansClassifiedByAgingAnalysisTables</ParentRole>
      <Position>90</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R91.htm</HtmlFileName>
      <LongName>000910 - Disclosure - Note 6: Loans and Allowance For Loan Losses: Schedule of Financing Receivables NonAccrual Status (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote6LoansAndAllowanceForLoanLossesScheduleOfFinancingReceivablesNonAccrualStatusDetails</Role>
      <ShortName>Note 6: Loans and Allowance For Loan Losses: Schedule of Financing Receivables NonAccrual Status (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote6LoansAndAllowanceForLoanLossesScheduleOfFinancingReceivablesNonAccrualStatusTables</ParentRole>
      <Position>91</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R92.htm</HtmlFileName>
      <LongName>000920 - Disclosure - Note 6: Loans and Allowance For Loan Losses: Allowance for Credit Losses on Financing Receivables (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote6LoansAndAllowanceForLoanLossesAllowanceForCreditLossesOnFinancingReceivablesDetails</Role>
      <ShortName>Note 6: Loans and Allowance For Loan Losses: Allowance for Credit Losses on Financing Receivables (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote6LoansAndAllowanceForLoanLossesAllowanceForCreditLossesOnFinancingReceivablesTables</ParentRole>
      <Position>92</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R93.htm</HtmlFileName>
      <LongName>000930 - Disclosure - Note 6: Loans and Allowance For Loan Losses: Impaired Financing Receivables (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote6LoansAndAllowanceForLoanLossesImpairedFinancingReceivablesDetails</Role>
      <ShortName>Note 6: Loans and Allowance For Loan Losses: Impaired Financing Receivables (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote6LoansAndAllowanceForLoanLossesImpairedFinancingReceivablesTables</ParentRole>
      <Position>93</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R94.htm</HtmlFileName>
      <LongName>000940 - Disclosure - Note 6: Loans and Allowance For Loan Losses: Impaired Loans Specific Valuation Allowance (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote6LoansAndAllowanceForLoanLossesImpairedLoansSpecificValuationAllowanceDetails</Role>
      <ShortName>Note 6: Loans and Allowance For Loan Losses: Impaired Loans Specific Valuation Allowance (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>94</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R95.htm</HtmlFileName>
      <LongName>000950 - Disclosure - Note 6: Loans and Allowance For Loan Losses: Troubled Debt Restructurings on Financing Receivables (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote6LoansAndAllowanceForLoanLossesTroubledDebtRestructuringsOnFinancingReceivablesDetails</Role>
      <ShortName>Note 6: Loans and Allowance For Loan Losses: Troubled Debt Restructurings on Financing Receivables (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote6LoansAndAllowanceForLoanLossesTroubledDebtRestructuringsOnFinancingReceivablesTables</ParentRole>
      <Position>95</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R96.htm</HtmlFileName>
      <LongName>000960 - Disclosure - Note 6: Loans and Allowance For Loan Losses: Loans Modified in Troubled Debt Restructurings by Segment (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote6LoansAndAllowanceForLoanLossesLoansModifiedInTroubledDebtRestructuringsBySegmentDetails</Role>
      <ShortName>Note 6: Loans and Allowance For Loan Losses: Loans Modified in Troubled Debt Restructurings by Segment (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>96</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R97.htm</HtmlFileName>
      <LongName>000970 - Disclosure - Note 6: Loans and Allowance For Loan Losses: Troubled Debt Restructured Loans Returned to Accrual Status (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote6LoansAndAllowanceForLoanLossesTroubledDebtRestructuredLoansReturnedToAccrualStatusDetails</Role>
      <ShortName>Note 6: Loans and Allowance For Loan Losses: Troubled Debt Restructured Loans Returned to Accrual Status (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>97</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R98.htm</HtmlFileName>
      <LongName>000980 - Disclosure - Note 6: Loans and Allowance For Loan Losses: Financing Receivable Credit Quality Indicators (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote6LoansAndAllowanceForLoanLossesFinancingReceivableCreditQualityIndicatorsDetails</Role>
      <ShortName>Note 6: Loans and Allowance For Loan Losses: Financing Receivable Credit Quality Indicators (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote6LoansAndAllowanceForLoanLossesFinancingReceivableCreditQualityIndicatorsTables</ParentRole>
      <Position>98</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R99.htm</HtmlFileName>
      <LongName>000990 - Disclosure - Note 7: Fdic Acquired Loans, Loss Sharing Agreements and FDIC Indemnification Assets: Business Combinations Policy (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote7FdicAcquiredLoansLossSharingAgreementsAndFDICIndemnificationAssetsBusinessCombinationsPolicyDetails</Role>
      <ShortName>Note 7: Fdic Acquired Loans, Loss Sharing Agreements and FDIC Indemnification Assets: Business Combinations Policy (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote7FdicAcquiredLoansLossSharingAgreementsAndFDICIndemnificationAssetsBusinessCombinationsPolicyPolicies</ParentRole>
      <Position>99</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R100.htm</HtmlFileName>
      <LongName>001000 - Disclosure - Note 7: Fdic Acquired Loans, Loss Sharing Agreements and FDIC Indemnification Assets: Schedule of Impact of Adjustments of Acquired Loans on Financial Results (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote7FdicAcquiredLoansLossSharingAgreementsAndFDICIndemnificationAssetsScheduleOfImpactOfAdjustmentsOfAcquiredLoansOnFinancialResultsDetails</Role>
      <ShortName>Note 7: Fdic Acquired Loans, Loss Sharing Agreements and FDIC Indemnification Assets: Schedule of Impact of Adjustments of Acquired Loans on Financial Results (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote7FdicAcquiredLoansLossSharingAgreementsAndFDICIndemnificationAssetsScheduleOfImpactOfAdjustmentsOfAcquiredLoansOnFinancialResultsTables</ParentRole>
      <Position>100</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R101.htm</HtmlFileName>
      <LongName>001010 - Disclosure - Note 7: Fdic Acquired Loans, Loss Sharing Agreements and FDIC Indemnification Assets: FDIC Indemnification Asset Policy (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote7FdicAcquiredLoansLossSharingAgreementsAndFDICIndemnificationAssetsFDICIndemnificationAssetPolicyDetails</Role>
      <ShortName>Note 7: Fdic Acquired Loans, Loss Sharing Agreements and FDIC Indemnification Assets: FDIC Indemnification Asset Policy (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote7FdicAcquiredLoansLossSharingAgreementsAndFDICIndemnificationAssetsFDICIndemnificationAssetRollForwardTables</ParentRole>
      <Position>101</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R102.htm</HtmlFileName>
      <LongName>001020 - Disclosure - Note 7: Fdic Acquired Loans, Loss Sharing Agreements and FDIC Indemnification Assets: FDIC Indemnification Asset Roll Forward (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote7FdicAcquiredLoansLossSharingAgreementsAndFDICIndemnificationAssetsFDICIndemnificationAssetRollForwardDetails</Role>
      <ShortName>Note 7: Fdic Acquired Loans, Loss Sharing Agreements and FDIC Indemnification Assets: FDIC Indemnification Asset Roll Forward (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote7FdicAcquiredLoansLossSharingAgreementsAndFDICIndemnificationAssetsFDICIndemnificationAssetRollForwardTables</ParentRole>
      <Position>102</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R103.htm</HtmlFileName>
      <LongName>001030 - Disclosure - Note 7: Fdic Acquired Loans, Loss Sharing Agreements and FDIC Indemnification Assets (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote7FdicAcquiredLoansLossSharingAgreementsAndFDICIndemnificationAssetsDetails</Role>
      <ShortName>Note 7: Fdic Acquired Loans, Loss Sharing Agreements and FDIC Indemnification Assets (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote7FdicAcquiredLoansLossSharingAgreementsAndFDICIndemnificationAssetsScheduleOfImpactOfAdjustmentsOfAcquiredLoansOnFinancialResultsTables</ParentRole>
      <Position>103</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R104.htm</HtmlFileName>
      <LongName>001040 - Disclosure - Note 7: Fdic Acquired Loans, Loss Sharing Agreements and FDIC Indemnification Assets: Schedule of Accretable Yield Changes for Acquired Loans (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote7FdicAcquiredLoansLossSharingAgreementsAndFDICIndemnificationAssetsScheduleOfAccretableYieldChangesForAcquiredLoansDetails</Role>
      <ShortName>Note 7: Fdic Acquired Loans, Loss Sharing Agreements and FDIC Indemnification Assets: Schedule of Accretable Yield Changes for Acquired Loans (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote7FdicAcquiredLoansLossSharingAgreementsAndFDICIndemnificationAssetsScheduleOfAccretableYieldChangesForAcquiredLoansTables</ParentRole>
      <Position>104</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R105.htm</HtmlFileName>
      <LongName>001050 - Disclosure - Note 8: Other Real Estate Owned: Schedule of Major Classifications of Foreclosed Assets (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote8OtherRealEstateOwnedScheduleOfMajorClassificationsOfForeclosedAssetsDetails</Role>
      <ShortName>Note 8: Other Real Estate Owned: Schedule of Major Classifications of Foreclosed Assets (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote8OtherRealEstateOwnedScheduleOfMajorClassificationsOfForeclosedAssetsTables</ParentRole>
      <Position>105</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R106.htm</HtmlFileName>
      <LongName>001060 - Disclosure - Note 8: Other Real Estate Owned: Schedule of Expenses Applicable to Foreclosed Assets (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote8OtherRealEstateOwnedScheduleOfExpensesApplicableToForeclosedAssetsDetails</Role>
      <ShortName>Note 8: Other Real Estate Owned: Schedule of Expenses Applicable to Foreclosed Assets (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote8OtherRealEstateOwnedScheduleOfExpensesApplicableToForeclosedAssetsTables</ParentRole>
      <Position>106</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R107.htm</HtmlFileName>
      <LongName>001070 - Disclosure - Note 9: Deposits (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote9DepositsDetails</Role>
      <ShortName>Note 9: Deposits (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote9Deposits</ParentRole>
      <Position>107</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R108.htm</HtmlFileName>
      <LongName>001080 - Disclosure - Note 10: Advances From Federal Home Loan Bank: Federal Home Loan Bank, Advances (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote10AdvancesFromFederalHomeLoanBankFederalHomeLoanBankAdvancesDetails</Role>
      <ShortName>Note 10: Advances From Federal Home Loan Bank: Federal Home Loan Bank, Advances (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote10AdvancesFromFederalHomeLoanBankFederalHomeLoanBankAdvancesTables</ParentRole>
      <Position>108</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R109.htm</HtmlFileName>
      <LongName>001090 - Disclosure - Note 11: Securities Sold Under Reverse Repurchase Agreements and Short-term Borrowings: Schedule of Short-term Debt (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote11SecuritiesSoldUnderReverseRepurchaseAgreementsAndShortTermBorrowingsScheduleOfShortTermDebtDetails</Role>
      <ShortName>Note 11: Securities Sold Under Reverse Repurchase Agreements and Short-term Borrowings: Schedule of Short-term Debt (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote11SecuritiesSoldUnderReverseRepurchaseAgreementsAndShortTermBorrowingsScheduleOfShortTermDebtTables</ParentRole>
      <Position>109</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R110.htm</HtmlFileName>
      <LongName>001100 - Disclosure - Note 11: Securities Sold Under Reverse Repurchase Agreements and Short-term Borrowings: Schedule of Repurchase Agreements (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote11SecuritiesSoldUnderReverseRepurchaseAgreementsAndShortTermBorrowingsScheduleOfRepurchaseAgreementsDetails</Role>
      <ShortName>Note 11: Securities Sold Under Reverse Repurchase Agreements and Short-term Borrowings: Schedule of Repurchase Agreements (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote11SecuritiesSoldUnderReverseRepurchaseAgreementsAndShortTermBorrowingsScheduleOfShortTermDebtTables</ParentRole>
      <Position>110</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R111.htm</HtmlFileName>
      <LongName>001110 - Disclosure - Note 12: Income Taxes: Schedule of Components of Income Tax Expense (Benefit) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote12IncomeTaxesScheduleOfComponentsOfIncomeTaxExpenseBenefitDetails</Role>
      <ShortName>Note 12: Income Taxes: Schedule of Components of Income Tax Expense (Benefit) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote12IncomeTaxesScheduleOfComponentsOfIncomeTaxExpenseBenefitTables</ParentRole>
      <Position>111</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R112.htm</HtmlFileName>
      <LongName>001120 - Disclosure - Note 13: Disclosures About Fair Value of Financial Instruments: Fair Value Measurement, Policy: Fair Value, Assets Measured on Recurring Basis (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote13DisclosuresAboutFairValueOfFinancialInstrumentsFairValueMeasurementPolicyFairValueAssetsMeasuredOnRecurringBasisDetails</Role>
      <ShortName>Note 13: Disclosures About Fair Value of Financial Instruments: Fair Value Measurement, Policy: Fair Value, Assets Measured on Recurring Basis (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote13DisclosuresAboutFairValueOfFinancialInstrumentsFairValueMeasurementPolicyFairValueAssetsMeasuredOnRecurringBasisTables</ParentRole>
      <Position>112</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R113.htm</HtmlFileName>
      <LongName>001130 - Disclosure - Note 13: Disclosures About Fair Value of Financial Instruments: Fair Value Measurement, Policy: Fair Value, Assets and Liabilities Measured on Nonrecurring Basis (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote13DisclosuresAboutFairValueOfFinancialInstrumentsFairValueMeasurementPolicyFairValueAssetsAndLiabilitiesMeasuredOnNonrecurringBasisDetails</Role>
      <ShortName>Note 13: Disclosures About Fair Value of Financial Instruments: Fair Value Measurement, Policy: Fair Value, Assets and Liabilities Measured on Nonrecurring Basis (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote13DisclosuresAboutFairValueOfFinancialInstrumentsFairValueMeasurementPolicyFairValueAssetsAndLiabilitiesMeasuredOnNonrecurringBasisTables</ParentRole>
      <Position>113</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R114.htm</HtmlFileName>
      <LongName>001140 - Disclosure - Note 13: Disclosures About Fair Value of Financial Instruments: Schedule Of Financial Instruments Fair Value (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote13DisclosuresAboutFairValueOfFinancialInstrumentsScheduleOfFinancialInstrumentsFairValueDetails</Role>
      <ShortName>Note 13: Disclosures About Fair Value of Financial Instruments: Schedule Of Financial Instruments Fair Value (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote13DisclosuresAboutFairValueOfFinancialInstrumentsScheduleOfFinancialInstrumentsFairValueTables</ParentRole>
      <Position>114</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R115.htm</HtmlFileName>
      <LongName>001150 - Disclosure - Note 14: Derivatives and Hedging Activities: Nondesignated Hedges (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote14DerivativesAndHedgingActivitiesNondesignatedHedgesDetails</Role>
      <ShortName>Note 14: Derivatives and Hedging Activities: Nondesignated Hedges (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>115</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R116.htm</HtmlFileName>
      <LongName>001160 - Disclosure - Note 14: Derivatives and Hedging Activities: Schedule of Derivative Instruments in Statement of Financial Position, Fair Value (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote14DerivativesAndHedgingActivitiesScheduleOfDerivativeInstrumentsInStatementOfFinancialPositionFairValueDetails</Role>
      <ShortName>Note 14: Derivatives and Hedging Activities: Schedule of Derivative Instruments in Statement of Financial Position, Fair Value (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote14DerivativesAndHedgingActivitiesScheduleOfDerivativeInstrumentsInStatementOfFinancialPositionFairValueTables</ParentRole>
      <Position>116</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R117.htm</HtmlFileName>
      <LongName>001170 - Disclosure - Note 14: Derivatives and Hedging Activities: Schedule of Derivative Instruments, Effect on Other Comprehensive Income (Loss) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote14DerivativesAndHedgingActivitiesScheduleOfDerivativeInstrumentsEffectOnOtherComprehensiveIncomeLossDetails</Role>
      <ShortName>Note 14: Derivatives and Hedging Activities: Schedule of Derivative Instruments, Effect on Other Comprehensive Income (Loss) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote14DerivativesAndHedgingActivitiesScheduleOfDerivativeInstrumentsEffectOnOtherComprehensiveIncomeLossTables</ParentRole>
      <Position>117</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R118.htm</HtmlFileName>
      <LongName>001180 - Disclosure - Note 15: Acquisition of Loans, Deposits and Branches: Schedule of Recognized Identified Assets Acquired and Liabilities Assumed (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote15AcquisitionOfLoansDepositsAndBranchesScheduleOfRecognizedIdentifiedAssetsAcquiredAndLiabilitiesAssumedDetails</Role>
      <ShortName>Note 15: Acquisition of Loans, Deposits and Branches: Schedule of Recognized Identified Assets Acquired and Liabilities Assumed (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote15AcquisitionOfLoansDepositsAndBranchesScheduleOfRecognizedIdentifiedAssetsAcquiredAndLiabilitiesAssumedTables</ParentRole>
      <Position>118</Position>
    </Report>
    <Report instance="gsbc-20160630.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R119.htm</HtmlFileName>
      <LongName>001190 - Disclosure - Note 15: Acquisition of Loans, Deposits and Branches: Schedule of Acquired Loans Performing and Nonperforming (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote15AcquisitionOfLoansDepositsAndBranchesScheduleOfAcquiredLoansPerformingAndNonperformingDetails</Role>
      <ShortName>Note 15: Acquisition of Loans, Deposits and Branches: Schedule of Acquired Loans Performing and Nonperforming (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.greatsouthernbank.com/20160630/role/idr_DisclosureNote15AcquisitionOfLoansDepositsAndBranchesScheduleOfAcquiredLoansPerformingAndNonperformingTables</ParentRole>
      <Position>119</Position>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <LongName>All Reports</LongName>
      <ReportType>Book</ReportType>
      <ShortName>All Reports</ShortName>
    </Report>
  </MyReports>
  <InputFiles>
    <File>gsbc-20160630.xml</File>
    <File>gsbc-20160630.xsd</File>
    <File>gsbc-20160630_cal.xml</File>
    <File>gsbc-20160630_def.xml</File>
    <File>gsbc-20160630_lab.xml</File>
    <File>gsbc-20160630_pre.xml</File>
  </InputFiles>
  <SupplementalFiles/>
  <BaseTaxonomies/>
  <HasPresentationLinkbase>true</HasPresentationLinkbase>
  <HasCalculationLinkbase>true</HasCalculationLinkbase>
</FilingSummary>
